Get Project JSONExport Issues
https://app.fossa.com/api/projects/{locator}/export-issues/jsonThis endpoint returns a list of all issues for a project. The issues are exported in a JSON format.
Path parameters
locatorstringrequiredthe url-encoded locator of the project
Query parameters
revisionIdstringThe revisionId of the project to get issues for. If not provided, the latest revision will be used.
statusenumThe status of the issues to return. If not provided, all active issues will be returned.
activeignoredrefstringthe branch or tag to get issues for. If not provided, the default branch will be used.
ref_typeenumSpecify whether the ref is a branch or tag.
branchtagResponses
200A report of all issues for the project.Package License Issuesobject[]DependencystringThe dependency that the issue is associated with.
RevisionstringThe revision of the dependency that the issue is associated with.
Flagged by PolicystringThe policy that triggered the issue.
Issue TypestringThe type of issue.
LicensestringThe license that triggered the issue.
Affected ProjectstringThe User Project that the issue is associated with.
FOSSA URLstringA link to the project in the FOSSA UI.
DetailsstringA description of the policy rule that triggered this issue (if available).
Dependency DepthsstringThe depth(s) of the dependency in the dependency tree.
Vulnerability Issuesobject[]NamestringThe plaintext name of the CWE that affects the dependency.
DependencystringThe dependency that the issue is associated with.
RevisionstringThe revision of the dependency that the issue is associated with.
CVEstringThe CVE that affects the dependency.
Affected ProjectstringThe User Project that the issue is associated with.
FOSSA URLstringA link to the project in the FOSSA UI.
CVSSstringThe CVSS Vector of the vulnerability.
CVSS ScorestringThe CVSS Score of the vulnerability.
CVSS SeveritystringThe CVSS Severity of the vulnerability.
DetailsstringA description of the Vulnerability that triggered this issue (if available).
Remediation AdvicestringThe version of the dependency that fixes all vulnerabilities on this dependency (if available).
Dependency DepthsstringThe depth(s) of the dependency in the dependency tree.
Referencesstring[]Associated link's to information on the vulnerability.
CWESstring[]List of CWE's that affects the dependency.
Quality Issuesobject[]DependencystringThe dependency that the issue is associated with.
RevisionstringThe revision of the dependency that the issue is associated with.
TypestringThe type of issue.
FOSSA URLstringA link to the project in the FOSSA UI.
Affected ProjectstringThe User Project that the issue is associated with.
DetailsstringA description of the policy rule that triggered this issue (if available).
Dependency DepthsstringThe depth(s) of the dependency in the dependency tree.
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
428Precondition Required - the provided revision is invaliduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/projects/%7Blocator%7D/export-issues/jsoncurl --request GET \ --url 'https://app.fossa.com/api/projects/%7Blocator%7D/export-issues/json' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredthe url-encoded locator of the project
Query params
revisionIdstringThe revisionId of the project to get issues for. If not provided, the latest revision will be used.
statusenumThe status of the issues to return. If not provided, all active issues will be returned.
refstringthe branch or tag to get issues for. If not provided, the default branch will be used.
ref_typeenumSpecify whether the ref is a branch or tag.